# QuickHashIntHash::get

(PECL quickhash >= Unknown)

QuickHashIntHash::get — This method retrieves a value from the hash by its key

### Descripción

public QuickHashIntHash::get(int `$key`): int

This method retrieves a value from the hash by its key.

### Parámetros

`key`

  The key of the entry to retrieve.

### Valores devueltos

The value if the key exists, or `null` if the key wasn't part of the hash.

### Ejemplos

Ejemplo #1 QuickHashIntHash::get() example

`<?php
$hash = new QuickHashIntHash( 8 );
var_dump( $hash->get( 1 ) );
var_dump( $hash->add( 2 ) );
var_dump( $hash->get( 2 ) );
var_dump( $hash->add( 3, 5 ) );
var_dump( $hash->get( 3 ) );
?>`

El resultado del ejemplo sería algo similar a:

    bool(false)
    bool(true)
    int(1)
    bool(true)
    int(5)